# Class SmithWaterman

java.lang.Object
org.snpeff.align.NeedlemanWunsch
org.snpeff.align.SmithWaterman

public class SmithWaterman extends NeedlemanWunsch
Smith-Waterman (local sequence alignment) algorithm for sequence alignment (short strings, since it's not memory optimized)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`SmithWaterman(String a, String b)`

## Method Summary

### Methods inherited from class NeedlemanWunsch

`align, getAlignment, getAlignmentScore, getOffset, setDeletion, setMatch, setMissMatch, setUseSpace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SmithWaterman

public SmithWaterman(String a, String b)